Skip to content

Delete a vault entry

DELETE
/api/v1/vault/{agent_role}/entries/{entry_key}
curl --request DELETE \
--url https://api.ultimateteam.ai/api/v1/vault/example/entries/example \
--header 'X-API-Key: <X-API-Key>'

Permanently delete an encrypted vault entry.

agent_role
required
Agent Role
string
entry_key
required
Entry Key
string

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}